/* Font Custom Setting */

@font-face {
  font-family: 'uglydave';
  src: url('../fonts/uglydave-webfont.woff2') format('woff2'), url('../fonts/uglydave-webfont.woff') format('woff'), url('../fonts/UglyDave.otf') format('opentype');
  font-weight: normal;
  font-style: normal;
  font-display: swap; /* Ensures that a fallback font is used until the custom font is loaded */
}


/* Navigation bar */

.logo {
  width: 100px;
}

nav {
  margin: 3rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 48 64px;
}

.menu {
  display: flex;
}

.menu li {
  /* spacing links */
  margin: 0 0 0 65px;

  /* remove bullets */
  list-style-type: none;
}

.menu li a {
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 1.5rem;
  
  /* remove underline */
  text-decoration: none;
}

.menu li a:hover {
  color: #BF9BDE;
}

/* Hero content */
/* Introduction line */
.introduction {
  display: flex;
  align-items: flex-start;
  flex-direction: column;
  margin: 64px;
}

.introduction p {
  margin-left: 250px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 3rem;
}
/* Music note icon */
.noteicon {
  margin-left: 250px;
  margin-top: 10px;
  max-width: 20%;
  height: auto;
}

/* Band members */

.members-container {
  display: grid; /* Allows wrapping for smaller screens */
  grid-template-columns: repeat(2, 1fr); /* Two columns */
  flex-wrap: wrap;
  gap: 20px;
  max-width: 1050px;
  padding: 20px;
  margin: 0 60px 0 auto;
  width: 100%;
}

.members-item {
  background-color: white;
  padding: 10px;
  text-align: left;
}

.members-item img {
  max-width: 100%;
  border-radius: 10px;
}

.members-item h3 {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  font-weight: 600;
  font-size: 27px; /* Increased font size */
  letter-spacing: 1px;
  margin: 20 0 5px 0;
}

.members-item p {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin-top: 10px;
  letter-spacing: 1px;
  color: #35383F;
}

/* Music Genre */

.slogan {
  display: flex;
  align-items: center;
  flex-wrap: wrap; /* Allows wrapping for smaller screens */
  width: 100%; /* Adjust as necessary */
  margin: 20 70 20px auto;
  max-width: 1050px; /* Increased max-width for larger size */
}

.jazzdoit {
  width: 100%;
  height: auto;
  border-radius: 20px; /* Rounded corners */
}

.genre-section {
  display: flex;
  align-items: center;
  justify-content: space-between; /* Ensure space between elements */
  flex-wrap: wrap; /* Allows wrapping for smaller screens */
  width: 90%; /* Adjust as necessary */
  margin: 20px auto;
  background-color: none;
}

.genre-card {
  max-width: 800px; /* Increased max-width for larger size */
  margin: 10 20 10px 0; 
}

.genre-image {
  width: 100%;
  height: auto;
  border-radius: 20px; /* Rounded corners */
}

.genre-details {
  flex: 1; /* Allows the section to grow and shrink as needed, taking up equal space within a flex container */
  max-width: 400px; /* Adjust as necessary */
  margin: 10px;
  text-align: left;
}

.genre-title {
  margin-bottom: 10px;
  font-family: 'Montserrat', sans-serif;
  font-weight: 450;
  color: #35383F;
  font-size: 3rem;
}

.genre-description {
  font-family: 'Montserat', sans-serif;
  font-size: 23px; /* Increased font size */
  margin: 10 0 20px 0;
  letter-spacing: 1px;
}

/* Music video */

.video-container {
  position: relative;
  width: 90%; /* Adjust the width as needed */
  max-width: 1300px; /* Max width for larger screens */
  border-radius: 15px;
  margin: 60 20 60 64px;
}

.thumbnail {
  width: 100%;
  border-radius: 15px;
}

/* Play button */
.play-button {
  position: absolute; /* Positions the element absolutely within its closest positioned ancestor */
  top: 50%; /* Positions the top of the element 50% from the top of its containing element */
  left: 50%; /* Positions the left of the element 50% from the left of its containing element */
  transform: translate(-50%, -50%); /* Moves the element back by 50% of its own width and height, effectively centering it */
  width: 80px;
  height: 80px;
}

.play-button img {
  width: 100%;
  height: 100%;
  cursor: pointer;
}


/* Footer */

.footer {
  width: 100%;
  padding: 20px 0;
}

.footer-content {
  max-width: 1300px;
  margin: 0 auto;
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
  padding: 0;
}

.footer-section {
  flex: 1; /* Allows the section to grow and shrink as needed, taking up equal space within a flex container */
  margin: 0 30px;
}

.footer-section h2 {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  font-size: 18px;
  margin-bottom: 10px;
}

p {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
}

.footer-section ul {
  list-style: none;
  padding: 0;
  margin: 0;
}

.footer-section ul li {
  margin-bottom: 10px;
}

.footer-section ul li a {
  color: #35383F;
  font-family: 'Montserat', sans-serif;
  text-decoration: none;
  color: #333;
}

.footer-section .logo {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
}

.footer-logo {
  max-width: 150px;
  margin-bottom: 10px;
}


.footer-section.social-icons {
  display: flex;
  justify-content: flex-start;
  align-items: center;
  gap: 4px;
  margin: 0;
}

.footer-section.social-icons a {
  display: inline-block;
  margin: 0 5px 0 0;
}

.footer-section.social-icons img {
  width: 24px;
  height: auto;
}

.newsletter form {
  display: flex;
  align-items: center;
  border: 1px solid #35383F;
  border-radius: 20px;
  padding: 5px;
  width: 100%;
  max-width: 300px;
}
.newsletter form img {
  width: 24px;
  margin: 0 0 0 10px;
}

.newsletter input {
  border: none;
  outline: none;
  padding: 5 10px;
  flex: 1;
  border-radius: 20px;
}

.newsletter button {
  border: none;
  background-color: #35383F;
  color: white;
  border-radius: 20px;
  padding: 5 15px;
  cursor: pointer;
}